## nx-libs-3.5.99.27.tar.gz

=== nx-X11/extras/Mesa_6.4.2/Makefile ===
# Top-level Mesa makefile

TOP = .

SUBDIRS = src progs


default: $(TOP)/configs/current
	@for dir in $(SUBDIRS) ; do \
		(cd $$dir ; $(MAKE)) || exit 1 ; \
	done


doxygen:
	(cd doxygen ; make) ; \

clean:
	@for dir in $(SUBDIRS) ; do \
		(cd $$dir ; $(MAKE) clean) ; \
	done


realclean:
	touch $(TOP)/configs/current
	$(MAKE) clean
	-rm -rf lib*
	-rm -f $(TOP)/configs/current
	-rm -f `find . -name \*.o`
	-rm -f `find . -name \*.a`
	-rm -f `find . -name \*.so`
	-rm -f `find . -name depend`



install:
	@echo "Installing"
	$(TOP)/bin/installmesa $(DESTDIR)

# DirectFBGL module installation
linux-directfb-install:
	cd src/mesa/drivers/directfb && $(MAKE) install

# If there's no current configuration file
$(TOP)/configs/current:
	@echo
	@echo
	@echo "Please choose a configuration from the following list:"
	@ls -1 $(TOP)/configs | grep -v "current\|default\|CVS"
	@echo
	@echo "Then type 'make <config>' (ex: 'make linux-x86')"
	@echo "(ignore the following error message)"
	@exit 1


# Rules to set/install a specific build configuration
aix \
aix-64 \
aix-gcc \
aix-static \
beos \
darwin \
darwin-static \
freebsd \
freebsd-dri \
freebsd-dri-amd64 \
freebsd-dri-x86 \
hpux10 \
hpux10-gcc \
hpux10-static \
hpux11-32 \
hpux11-32-static \
hpux11-32-static-nothreads \
hpux11-64 \
hpux11-64-static \
hpux9 \
hpux9-gcc \
irix6-64 \
irix6-64-static \
irix6-n32 \
irix6-n32-static \
irix6-o32 \
irix6-o32-static \
linux \
linux-alpha \
linux-alpha-static \
linux-debug \
linux-directfb \
linux-dri \
linux-dri-x86 \
linux-dri-x86-64 \
linux-dri-ppc \
linux-indirect \
linux-fbdev \
linux-glide \
linux-icc \
linux-icc-static \
linux-osmesa16 \
linux-osmesa16-static \
linux-osmesa32 \
linux-ppc \
linux-ppc-static \
linux-solo \
linux-solo-x86 \
linux-solo-ia64 \
linux-sparc \
linux-sparc5 \
linux-static \
linux-ultrasparc \
linux-tcc \
linux-x86 \
linux-x86-debug \
linux-x86-32 \
linux-x86-64 \
linux-x86-64-debug \
linux-x86-64-static \
linux-x86-xcb \
linux-x86-glide \
linux-x86-static \
netbsd \
openbsd \
osf1 \
solaris-x86 \
solaris-x86-gcc \
sunos4 \
sunos4-gcc \
sunos4-static \
sunos5 \
sunos5-gcc \
sunos5-smp \
ultrix-gcc:
	(cd configs && rm -f current && ln -s $@ current)
	$(MAKE) default


# Rules for making release tarballs

DIRECTORY = Mesa-6.4.2
LIB_NAME = MesaLib-6.4.2
DEMO_NAME = MesaDemos-6.4.2
GLUT_NAME = MesaGLUT-6.4.2

MAIN_FILES = \
	$(DIRECTORY)/Makefile*						\
	$(DIRECTORY)/descrip.mms					\
	$(DIRECTORY)/mms-config.					\
	$(DIRECTORY)/bin/mklib						\
	$(DIRECTORY)/bin/installmesa					\
	$(DIRECTORY)/configs/[a-z]*					\
	$(DIRECTORY)/docs/*.html					\
	$(DIRECTORY)/docs/COPYING					\
	$(DIRECTORY)/docs/README.*					\
	$(DIRECTORY)/docs/RELNOTES*					\
	$(DIRECTORY)/docs/VERSIONS					\
	$(DIRECTORY)/docs/*.spec					\
	$(DIRECTORY)/include/GL/internal/glcore.h			\
	$(DIRECTORY)/include/GL/amesa.h					\
	$(DIRECTORY)/include/GL/dmesa.h					\
	$(DIRECTORY)/include/GL/directfbgl.h				\
	$(DIRECTORY)/include/GL/fxmesa.h				\
	$(DIRECTORY)/include/GL/ggimesa.h				\
	$(DIRECTORY)/include/GL/gl.h					\
	$(DIRECTORY)/include/GL/glext.h					\
	$(DIRECTORY)/include/GL/gl_mangle.h				\
	$(DIRECTORY)/include/GL/glu.h					\
	$(DIRECTORY)/include/GL/glu_mangle.h				\
	$(DIRECTORY)/include/GL/glx.h					\
	$(DIRECTORY)/include/GL/glxext.h				\
	$(DIRECTORY)/include/GL/glx_mangle.h				\
	$(DIRECTORY)/include/GL/glfbdev.h				\
	$(DIRECTORY)/include/GL/mesa_wgl.h				\
	$(DIRECTORY)/include/GL/mglmesa.h				\
	$(DIRECTORY)/include/GL/osmesa.h				\
	$(DIRECTORY)/include/GL/svgamesa.h				\
	$(DIRECTORY)/include/GL/ugl*.h					\
	$(DIRECTORY)/include/GL/vms_x_fix.h				\
	$(DIRECTORY)/include/GL/wmesa.h					\
	$(DIRECTORY)/include/GL/xmesa.h					\
	$(DIRECTORY)/include/GL/xmesa_x.h				\
	$(DIRECTORY)/include/GL/xmesa_xf86.h				\
	$(DIRECTORY)/include/GLView.h					\
	$(DIRECTORY)/src/Makefile					\
	$(DIRECTORY)/src/descrip.mms					\
	$(DIRECTORY)/src/mesa/Makefile*					\
	$(DIRECTORY)/src/mesa/sources					\
	$(DIRECTORY)/src/mesa/descrip.mms				\
	$(DIRECTORY)/src/mesa/depend					\
	$(DIRECTORY)/src/mesa/main/*.[chS]				\
	$(DIRECTORY)/src/mesa/main/descrip.mms				\
	$(DIRECTORY)/src/mesa/glapi/*.[chS]				\
	$(DIRECTORY)/src/mesa/glapi/descrip.mms				\
	$(DIRECTORY)/src/mesa/array_cache/*.[ch]			\
	$(DIRECTORY)/src/mesa/array_cache/descrip.mms			\
	$(DIRECTORY)/src/mesa/math/*.[ch]				\
	$(DIRECTORY)/src/mesa/math/descrip.mms				\
	$(DIRECTORY)/src/mesa/shader/*.[ch]				\
	$(DIRECTORY)/src/mesa/shader/descrip.mms			\
	$(DIRECTORY)/src/mesa/shader/grammar/*.[ch]			\
	$(DIRECTORY)/src/mesa/shader/grammar/descrip.mms		\
	$(DIRECTORY)/src/mesa/shader/slang/*.[ch]			\
	$(DIRECTORY)/src/mesa/shader/slang/descrip.mms			\
	$(DIRECTORY)/src/mesa/shader/slang/library/*.[ch]		\
	$(DIRECTORY)/src/mesa/swrast/*.[ch]				\
	$(DIRECTORY)/src/mesa/swrast/descrip.mms			\
	$(DIRECTORY)/src/mesa/swrast_setup/*.[ch]			\
	$(DIRECTORY)/src/mesa/swrast_setup/descrip.mms			\
	$(DIRECTORY)/src/mesa/tnl/*.[chS]				\
	$(DIRECTORY)/src/mesa/tnl/descrip.mms				\
	$(DIRECTORY)/src/mesa/tnl_dd/*.[ch]				\
	$(DIRECTORY)/src/mesa/tnl_dd/imm/*.[ch]				\
	$(DIRECTORY)/src/mesa/tnl_dd/imm/NOTES.imm			\
	$(DIRECTORY)/src/mesa/drivers/beos/*.cpp			\
	$(DIRECTORY)/src/mesa/drivers/beos/Makefile			\
	$(DIRECTORY)/src/mesa/drivers/common/*.[ch]			\
	$(DIRECTORY)/src/mesa/drivers/common/descrip.mms		\
	$(DIRECTORY)/src/mesa/drivers/directfb/*.[ch]			\
	$(DIRECTORY)/src/mesa/drivers/directfb/Makefile			\
	$(DIRECTORY)/src/mesa/drivers/dos/*.[chS]			\
	$(DIRECTORY)/src/mesa/drivers/fbdev/glfbdev.c			\
	$(DIRECTORY)/src/mesa/drivers/glide/*.[ch]			\
	$(DIRECTORY)/src/mesa/drivers/ggi/*.[ch]			\
	$(DIRECTORY)/src/mesa/drivers/ggi/ggimesa.conf.in		\
	$(DIRECTORY)/src/mesa/drivers/ggi/default/*.c			\
	$(DIRECTORY)/src/mesa/drivers/ggi/default/genkgi.conf.in	\
	$(DIRECTORY)/src/mesa/drivers/ggi/display/*.c			\
	$(DIRECTORY)/src/mesa/drivers/ggi/display/fbdev.conf.in		\
	$(DIRECTORY)/src/mesa/drivers/ggi/include/ggi/mesa/*.h		\
	$(DIRECTORY)/src/mesa/drivers/osmesa/Makefile.win		\
	$(DIRECTORY)/src/mesa/drivers/osmesa/descrip.mms		\
	$(DIRECTORY)/src/mesa/drivers/osmesa/osmesa.def			\
	$(DIRECTORY)/src/mesa/drivers/osmesa/*.[ch]			\
	$(DIRECTORY)/src/mesa/drivers/svga/*.[ch]			\
	$(DIRECTORY)/src/mesa/drivers/windows/*/*.[ch]			\
	$(DIRECTORY)/src/mesa/drivers/windows/*/*.def			\
	$(DIRECTORY)/src/mesa/drivers/x11/descrip.mms			\
	$(DIRECTORY)/src/mesa/drivers/x11/*.[ch]			\
	$(DIRECTORY)/src/mesa/ppc/*.[ch]				\
	$(DIRECTORY)/src/mesa/sparc/*.[chS]				\
	$(DIRECTORY)/src/mesa/x86/Makefile				\
	$(DIRECTORY)/src/mesa/x86/*.[ch]				\
	$(DIRECTORY)/src/mesa/x86/*.S					\
	$(DIRECTORY)/src/mesa/x86/rtasm/*.[ch]				\
	$(DIRECTORY)/src/mesa/x86-64/*.[chS]				\
	$(DIRECTORY)/src/mesa/x86-64/Makefile				\
	$(DIRECTORY)/progs/Makefile					\
	$(DIRECTORY)/progs/util/README					\
	$(DIRECTORY)/progs/util/*.[ch]					\
	$(DIRECTORY)/progs/util/sampleMakefile				\
	$(DIRECTORY)/vms/analyze_map.com				\
	$(DIRECTORY)/vms/xlib.opt					\
	$(DIRECTORY)/vms/xlib_share.opt					\
	$(DIRECTORY)/windows/VC6/mesa/gdi/gdi.dsp			\
	$(DIRECTORY)/windows/VC6/mesa/glu/*.txt				\
	$(DIRECTORY)/windows/VC6/mesa/glu/glu.dsp			\
	$(DIRECTORY)/windows/VC6/mesa/mesa.dsw				\
	$(DIRECTORY)/windows/VC6/mesa/mesa/mesa.dsp			\
	$(DIRECTORY)/windows/VC6/mesa/osmesa/osmesa.dsp			\
	$(DIRECTORY)/windows/VC7/mesa/gdi/gdi.vcproj			\
	$(DIRECTORY)/windows/VC7/mesa/glu/glu.vcproj			\
	$(DIRECTORY)/windows/VC7/mesa/mesa.sln				\
	$(DIRECTORY)/windows/VC7/mesa/mesa/mesa.vcproj			\
	$(DIRECTORY)/windows/VC7/mesa/osmesa/osmesa.vcproj

DRI_FILES = \
	$(DIRECTORY)/include/GL/internal/dri_interface.h		\
	$(DIRECTORY)/include/GL/internal/sarea.h			\
	$(DIRECTORY)/src/glx/Makefile					\
	$(DIRECTORY)/src/glx/x11/Makefile				\
	$(DIRECTORY)/src/glx/x11/*.[ch]					\
	$(DIRECTORY)/src/mesa/drivers/dri/Makefile			\
	$(DIRECTORY)/src/mesa/drivers/dri/Makefile.template		\
	$(DIRECTORY)/src/mesa/drivers/dri/common/xmlpool/*.[ch]		\
	$(DIRECTORY)/src/mesa/drivers/dri/common/xmlpool/*.po		\
	$(DIRECTORY)/src/mesa/drivers/dri/*/*.[chS]			\
	$(DIRECTORY)/src/mesa/drivers/dri/*/Makefile			\
	$(DIRECTORY)/src/mesa/drivers/dri/*/Doxyfile			\
	$(DIRECTORY)/src/mesa/drivers/dri/*/server/*.[ch]

SGI_GLU_FILES = \
	$(DIRECTORY)/src/glu/Makefile					\
	$(DIRECTORY)/src/glu/descrip.mms				\
	$(DIRECTORY)/src/glu/sgi/Makefile				\
	$(DIRECTORY)/src/glu/sgi/Makefile.win				\
	$(DIRECTORY)/src/glu/sgi/Makefile.DJ				\
	$(DIRECTORY)/src/glu/sgi/glu.def				\
	$(DIRECTORY)/src/glu/sgi/dummy.cc				\
	$(DIRECTORY)/src/glu/sgi/descrip.mms				\
	$(DIRECTORY)/src/glu/sgi/mesaglu.opt				\
	$(DIRECTORY)/src/glu/sgi/include/gluos.h			\
	$(DIRECTORY)/src/glu/sgi/libnurbs/interface/*.h			\
	$(DIRECTORY)/src/glu/sgi/libnurbs/interface/*.cc		\
	$(DIRECTORY)/src/glu/sgi/libnurbs/internals/*.h			\
	$(DIRECTORY)/src/glu/sgi/libnurbs/internals/*.cc		\
	$(DIRECTORY)/src/glu/sgi/libnurbs/nurbtess/*.h			\
	$(DIRECTORY)/src/glu/sgi/libnurbs/nurbtess/*.cc			\
	$(DIRECTORY)/src/glu/sgi/libtess/README				\
	$(DIRECTORY)/src/glu/sgi/libtess/alg-outline			\
	$(DIRECTORY)/src/glu/sgi/libtess/*.[ch]				\
	$(DIRECTORY)/src/glu/sgi/libutil/*.[ch]

MESA_GLU_FILES = \
	$(DIRECTORY)/src/glu/mesa/README[12]		\
	$(DIRECTORY)/src/glu/mesa/Makefile*		\
	$(DIRECTORY)/src/glu/mesa/descrip.mms		\
	$(DIRECTORY)/src/glu/mesa/mms_depend		\
	$(DIRECTORY)/src/glu/mesa/*.def			\
	$(DIRECTORY)/src/glu/mesa/depend		\
	$(DIRECTORY)/src/glu/mesa/*.[ch]

GLW_FILES = \
	$(DIRECTORY)/src/glw/*.[ch]			\
	$(DIRECTORY)/src/glw/Makefile*			\
	$(DIRECTORY)/src/glw/README			\
	$(DIRECTORY)/src/glw/depend

DEMO_FILES = \
	$(DIRECTORY)/progs/beos/*.cpp			\
	$(DIRECTORY)/progs/beos/Makefile		\
	$(DIRECTORY)/progs/images/*.rgb			\
	$(DIRECTORY)/progs/images/*.rgba		\
	$(DIRECTORY)/progs/demos/Makefile*		\
	$(DIRECTORY)/progs/demos/descrip.mms		\
	$(DIRECTORY)/progs/demos/*.[ch]			\
	$(DIRECTORY)/progs/demos/*.cxx			\
	$(DIRECTORY)/progs/demos/*.dat			\
	$(DIRECTORY)/progs/demos/README			\
	$(DIRECTORY)/progs/osdemos/Makefile		\
	$(DIRECTORY)/progs/osdemos/*.c			\
	$(DIRECTORY)/progs/xdemos/Makefile*		\
	$(DIRECTORY)/progs/xdemos/descrip.mms		\
	$(DIRECTORY)/progs/xdemos/*.[chf]		\
	$(DIRECTORY)/progs/redbook/Makefile*		\
	$(DIRECTORY)/progs/redbook/README		\
	$(DIRECTORY)/progs/redbook/*.[ch]		\
	$(DIRECTORY)/progs/samples/Makefile*		\
	$(DIRECTORY)/progs/samples/README		\
	$(DIRECTORY)/progs/samples/*.c			\
	$(DIRECTORY)/progs/windml/Makefile.ugl		\
	$(DIRECTORY)/progs/windml/*.c			\
	$(DIRECTORY)/progs/windml/*.bmp			\
	$(DIRECTORY)/progs/ggi/*.c			\
	$(DIRECTORY)/windows/VC6/progs/demos/*.dsp	\
	$(DIRECTORY)/windows/VC6/progs/progs.dsw	\
	$(DIRECTORY)/windows/VC7/progs/demos/*.vcproj	\
	$(DIRECTORY)/windows/VC7/progs/progs.sln

GLUT_FILES = \
	$(DIRECTORY)/include/GL/glut.h			\
	$(DIRECTORY)/include/GL/glutf90.h		\
	$(DIRECTORY)/src/glut/glx/Makefile*		\
	$(DIRECTORY)/src/glut/glx/depend		\
	$(DIRECTORY)/src/glut/glx/*def			\
	$(DIRECTORY)/src/glut/glx/descrip.mms		\
	$(DIRECTORY)/src/glut/glx/mms_depend		\
	$(DIRECTORY)/src/glut/glx/*.[ch]		\
	$(DIRECTORY)/src/glut/beos/*.[ch]		\
	$(DIRECTORY)/src/glut/beos/*.cpp		\
	$(DIRECTORY)/src/glut/beos/Makefile		\
	$(DIRECTORY)/src/glut/dos/*.[ch]		\
	$(DIRECTORY)/src/glut/dos/Makefile.DJ		\
	$(DIRECTORY)/src/glut/dos/PC_HW/*.[chS]		\
	$(DIRECTORY)/src/glut/ggi/*.[ch]		\
	$(DIRECTORY)/src/glut/ggi/Makefile		\
	$(DIRECTORY)/windows/VC6/progs/glut/glut.dsp	\
	$(DIRECTORY)/windows/VC7/progs/glut/glut.vcproj

DEPEND_FILES = \
	$(TOP)/src/mesa/depend		\
	$(TOP)/src/glw/depend		\
	$(TOP)/src/glut/glx/depend	\
	$(TOP)/src/glu/sgi/depend


LIB_FILES = $(MAIN_FILES) $(DRI_FILES) $(SGI_GLU_FILES) $(GLW_FILES)


# Everything for new a Mesa release:
tarballs: rm_depend lib_gz demo_gz glut_gz lib_bz2 demo_bz2 glut_bz2 lib_zip demo_zip glut_zip md5


rm_depend:
	@for dep in $(DEPEND_FILES) ; do \
		rm -f $$dep ; \
		touch $$dep ; \
	done

lib_gz:
	rm -f configs/current ; \
	cd .. ; \
	tar -cf $(LIB_NAME).tar $(LIB_FILES) ; \
	gzip $(LIB_NAME).tar ; \

=== nx-X11/extras/Mesa_6.4.2/progs/egl/Makefile ===
# progs/egl/Makefile

TOP = ../..
include $(TOP)/configs/current


INCLUDE_DIRS = -I$(TOP)/include

HEADERS = $(TOP)/include/GLES/egl.h

PROGRAMS = \
	demo1 \
	demo2 \
	demo3 \
	eglinfo \
	eglgears


.c.o:
	$(CC) -c $(INCLUDE_DIRS) $(CFLAGS) $< -o $@



default: $(PROGRAMS)


demo1: demo1.o $(LIB_DIR)/libEGL.so
	$(CC) $(CFLAGS) demo1.o -L$(LIB_DIR) -lEGL $(LIBDRM_LIB) -o $@

demo1.o: demo1.c $(HEADERS)
	$(CC) -c $(CFLAGS) -I$(TOP)/include demo1.c


demo2: demo2.o $(LIB_DIR)/libEGL.so
	$(CC) $(CFLAGS) demo2.o -L$(LIB_DIR) -lEGL $(LIBDRM_LIB) $(APP_LIB_DEPS) -o $@

demo2.o: demo2.c $(HEADERS)
	$(CC) -c $(CFLAGS) -I$(TOP)/include demo2.c


demo3: demo3.o $(LIB_DIR)/libEGL.so
	$(CC) $(CFLAGS) demo3.o -L$(LIB_DIR) -lEGL $(LIBDRM_LIB) $(APP_LIB_DEPS) -o $@

demo3.o: demo3.c $(HEADERS)
	$(CC) -c $(CFLAGS) -I$(TOP)/include demo3.c


eglinfo: eglinfo.o $(LIB_DIR)/libEGL.so
	$(CC) $(CFLAGS) eglinfo.o -L$(LIB_DIR) -lEGL $(LIBDRM_LIB) -o $@

eglinfo.o: eglinfo.c $(HEADERS)
	$(CC) -c $(CFLAGS) -I$(TOP)/include eglinfo.c


eglgears: eglgears.o $(LIB_DIR)/libEGL.so
	$(CC) $(CFLAGS) eglgears.o -L$(LIB_DIR) -lEGL $(LIBDRM_LIB) $(APP_LIB_DEPS) -o $@

eglgears.o: eglgears.c $(HEADERS)
	$(CC) -c $(CFLAGS) -I$(TOP)/include eglgears.c


clean:
	rm -f *.o *~
	rm -f *.so
	rm -f $(PROGRAMS)

=== nx-X11/extras/Mesa_6.4.2/progs/fbdev/Makefile ===
# Makefile for miniglx demo programs

TOP = ../..

include $(TOP)/configs/current


SOURCES = glfbdevtest.c

OBJECTS = $(SOURCES:.c=.o)

PROGS = $(SOURCES:%.c=%)

INCLUDES = \
	-I. \
	-I$(TOP)/include


##### RULES #####

.SUFFIXES:
.SUFFIXES: .c

.c:
	$(CC) $(INCLUDES) $(CFLAGS) $< $(APP_LIB_DEPS) -o $@

.c.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $< -o $@

.S.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $< -o $@


##### TARGETS #####

default:  depend $(PROGS)

clean:
	rm -f $(PROGS)
	rm -f *.o


depend: $(SOURCES)
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) $(INCLUDES) $(SOURCES) > /dev/null 


# Emacs tags
tags:
	etags `find . -name \*.[ch]` `find ../include`


include depend

=== nx-X11/extras/Mesa_6.4.2/progs/miniglx/Makefile ===
# Makefile for miniglx demo programs

TOP = ../..

include $(TOP)/configs/current


SOURCES = miniglxtest.c \
	miniglxsample.c \
	sample_server.c \
	sample_server2.c \
	manytex.c \
	texline.c

OBJECTS = $(SOURCES:.c=.o)

PROGS = $(SOURCES:%.c=%)

INCLUDES = \
	-I. \
	-I$(TOP)/include


##### RULES #####

.SUFFIXES:
.SUFFIXES: .c

.c:
	$(CC) $(INCLUDES) $(CFLAGS) $< $(APP_LIB_DEPS) -o $@

.c.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $< -o $@

.S.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $< -o $@


##### TARGETS #####

default:  depend $(PROGS)

clean:
	rm -f $(PROGS)
	rm -f *.o


depend: $(SOURCES)
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) $(INCLUDES) $(SOURCES) > /dev/null 


# Emacs tags
tags:
	etags `find . -name \*.[ch]` `find ../include`


include depend

=== nx-X11/extras/Mesa_6.4.2/progs/samples/Makefile ===
# progs/samples/Makefile

TOP = ../..
include $(TOP)/configs/current

INCDIR = $(TOP)/include

LIB_DEP = $(LIB_DIR)/$(GL_LIB_NAME) $(LIB_DIR)/$(GLU_LIB_NAME) $(LIB_DIR)/$(GLUT_LIB_NAME)

PROGS = accum bitmap1 bitmap2 blendeq blendxor copy cursor depth eval fog \
	font line logo nurb olympic overlay point prim quad select \
	shape sphere star stencil stretch texture tri wave


##### RULES #####

.SUFFIXES:
.SUFFIXES: .c

.c: $(LIB_DEP)
	$(CC) -I$(INCDIR) $(CFLAGS) $< $(APP_LIB_DEPS) -o $@


##### TARGETS #####

default: $(PROGS)


sphere: sphere.o readtex.o
	$(CC) -I$(INCDIR) $(CFLAGS) sphere.o readtex.o $(APP_LIB_DEPS) -o $@

sphere.o: sphere.c readtex.h
	$(CC) -c -I$(INCDIR) $(CFLAGS) sphere.c

readtex.c: $(TOP)/progs/util/readtex.c
	cp $< .

readtex.h: $(TOP)/progs/util/readtex.h
	cp $< . 

readtex.o: readtex.c readtex.h
	$(CC) -c -I$(INCDIR) $(CFLAGS) $< -o $@


clean:
	-rm -f $(PROGS)
	-rm -f *.o *~
	-rm -f readtex.c readtex.h

=== nx-X11/extras/Mesa_6.4.2/progs/tests/Makefile ===
# progs/tests/Makefile


# These programs aren't intended to be included with the normal distro.
# They're not too interesting but they're good for testing.

TOP = ../..
include $(TOP)/configs/current


LIBS = $(APP_LIB_DEPS)

SOURCES = antialias.c \
	arbfpspec.c \
	arbfptest1.c \
	arbfptexture.c \
	arbfptrig.c \
	arbvptest1.c \
	arbvptest3.c \
	arbvptorus.c \
	arbvpwarpmesh.c \
	blendminmax.c \
	blendsquare.c \
	bufferobj.c \
	bug_3101.c \
	bug_3195.c \
	crossbar.c \
	cva.c \
	dinoshade.c \
	floattex.c \
	fbotest1.c \
	fbotexture.c \
	fogcoord.c \
	fptest1.c \
	fptexture.c \
	getprocaddress.c \
	invert.c \
	manytex.c \
	multipal.c \
	no_s3tc.c \
	packedpixels.c \
	pbo.c \
	projtex.c \
	seccolor.c \
	sharedtex.c \
	stencilwrap.c \
	stencil_wrap.c \
	tex1d.c \
	texline.c \
	texobjshare.c \
	texrect.c \
	texwrap.c \
	vparray.c \
	vptest1.c \
	vptest2.c \
	vptest3.c \
	vptorus.c \
	vpwarpmesh.c \
	yuvrect.c \
	yuvsquare.c \
	zreaddraw.c

PROGS = $(SOURCES:%.c=%)

INCLUDES = -I. -I$(TOP)/include

UTIL_FILES = readtex.h readtex.c


##### RULES #####

.SUFFIXES:
.SUFFIXES: .c

.c:
	$(CC) $(INCLUDES) $(CFLAGS) $< $(LIBS) -o $@

.c.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES) $< -o $@

.S.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES)  $< -o $@


##### TARGETS #####

default: $(UTIL_FILES) $(PROGS)

clean:
	rm -f $(PROGS)
	rm -f *.o
	rm -f getproclist.h


# auto code generation
getprocaddress: getprocaddress.c getproclist.h

getproclist.h: $(TOP)/src/mesa/glapi/gl_API.xml getprocaddress.c getprocaddress.py
	python getprocaddress.py > getproclist.h


texrect: texrect.o readtex.o
	$(CC) texrect.o readtex.o $(LIBS) -o $@

texrect.o: texrect.c readtex.h
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES) $< -o $@

bug_3195: bug_3195.o readtex.o
	$(CC) $(CFLAGS) bug_3195.o readtex.o $(LIBS) -o $@

bug_3195.o: bug_3195.c readtex.h
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES) $< -o $@

invert: invert.o readtex.o
	$(CC) invert.o readtex.o $(LIBS) -o $@

invert.o: invert.c readtex.h
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES) $< -o $@

readtex.o: readtex.c
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES) $< -o $@


readtex.h: $(TOP)/progs/util/readtex.h
	ln -s $(TOP)/progs/util/readtex.h .

readtex.c: $(TOP)/progs/util/readtex.c
	ln -s $(TOP)/progs/util/readtex.c .




# Emacs tags
tags:
	etags `find . -name \*.[ch]` `find ../include`

=== nx-X11/extras/Mesa_6.4.2/src/glu/Makefile ===
# src/glu/Makefile

TOP = ../..

include $(TOP)/configs/current


SUBDIRS = $(GLU_DIRS)


default: $(TOP)/configs/current
	@for dir in $(SUBDIRS) ; do \
		(cd $$dir ; $(MAKE)) ; \
	done


clean:
	@for dir in $(SUBDIRS) ; do \
		(cd $$dir ; $(MAKE) clean) ; \
	done

=== nx-X11/extras/Mesa_6.4.2/src/glu/mesa/Makefile ===
# src/glu/mesa/Makefile

TOP = ../../..

include $(TOP)/configs/current

GLU_MAJOR = 1
GLU_MINOR = 1
GLU_TINY = 0$(MESA_MAJOR)0$(MESA_MINOR)0$(MESA_TINY)

C_SOURCES = \
	glu.c \
	mipmap.c \
	nurbs.c \
	nurbscrv.c \
	nurbssrf.c \
	nurbsutl.c \
	polytest.c \
	project.c \
	quadric.c \
	tess.c \
	tesselat.c

OBJECTS = $(C_SOURCES:.c=.o)

INCLUDES = -I. -I- -I$(TOP)/include

##### RULES #####

.c.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $< -o $@

##### TARGETS #####

default:
	@if [ "${CONFIG_NAME}" = "beos" ] ; then \
		echo "$(GLU_LIB_NAME) not build under BeOS, but integrated into ${GL_LIB_NAME}." ; \
		exit 0 ; \
	else \
		$(MAKE) "${LIB_DIR}/${GLU_LIB_NAME}" ; \
	fi

$(LIB_DIR):
	-mkdir $(LIB_DIR)

# Make the library:
$(LIB_DIR)/$(GLU_LIB_NAME): $(OBJECTS)
	@ $(TOP)/bin/mklib -o $(GLU_LIB) -linker '$(CC)' \
		-major $(GLU_MAJOR) -minor $(GLU_MINOR) -patch $(GLU_TINY) \
		$(MKLIB_OPTIONS) -install $(LIB_DIR) \
		$(GLU_LIB_DEPS) $(OBJECTS)

clean:
	-rm -f *.o */*.o */*/*.o
	-rm -f *.lo */*.lo */*/*.lo
	-rm -f *.la */*.la */*/*.la

=== nx-X11/extras/Mesa_6.4.2/src/glut/beos/Makefile ===
# Makefile for GLUT
#
# NOTICE:  The OpenGL Utility Toolkit (GLUT) distribution contains source
# code published in a book titled "Programming OpenGL for the X Window
# System" (ISBN: 0-201-48359-9) published by Addison-Wesley.  The
# programs and associated files contained in the distribution were
# developed by Mark J. Kilgard and are Copyright 1994, 1995, 1996 by Mark
# J. Kilgard (unless otherwise noted).  The programs are not in the
# public domain, but they are freely distributable without licensing
# fees.  These programs are provided without guarantee or warrantee
# expressed or implied.
#
# GLUT source included with Mesa with permission from Mark Kilgard.

# src/glut/beos/Makefile

TOP = ../../..
include $(TOP)/configs/current

GLUT_MAJOR = 3
GLUT_MINOR = 7
GLUT_TINY = 1

CPP_SOURCES = \
	glutBlocker.cpp \
	glutInit.cpp \
	glutWindow.cpp \
	glutEvent.cpp \
	glutCallback.cpp \
	glutOverlay.cpp \
	glutGet.cpp \
	glutColor.cpp \
	glutCursor.cpp \
	glutMenu.cpp \
	glutDstr.cpp \
	beos_x11.cpp

C_SOURCES = \
	glut_8x13.c \
	glut_9x15.c \
	glut_bitmap.c \
	glut_bwidth.c \
	glut_hel10.c \
	glut_hel12.c \
	glut_hel18.c \
	glut_tr10.c \
	glut_tr24.c \
	glut_mroman.c \
	glut_roman.c \
	glut_stroke.c \
	glut_swidth.c \
	glut_shapes.c \
	glut_teapot.c \
	glut_vidresize.c \
	glut_util.c \
	glut_ext.c

OBJECTS = \
	$(CPP_SOURCES:.cpp=.o) \
	$(C_SOURCES:.c=.o)

INCLUDES = \
	-I. \
	-I- \
	-I$(TOP)/include

# Rules

.cpp.o:
	$(CC) -c $< $(INCLUDES) $(CFLAGS) $(GLUT_CFLAGS) -o $@

.c.o:
	$(CC) -c $< $(INCLUDES) $(CFLAGS) $(GLUT_CFLAGS) -o $@


# ---- TARGETS

default: $(LIB_DIR) $(LIB_DIR)/$(GLUT_LIB_NAME)

# Create the lib directory if missing
$(LIB_DIR):
	mkdir $(LIB_DIR)

# Make the library
$(LIB_DIR)/$(GLUT_LIB_NAME): depend $(OBJECTS)
	@$(TOP)/bin/mklib -o $(GLUT_LIB) -major $(GLUT_MAJOR) -minor $(GLUT_MINOR) -patch $(GLUT_TINY) \
		-install $(LIB_DIR) $(MKLIB_OPTIONS) $(GLUT_LIB_DEPS) \
		$(OBJECTS)

clean:
	-rm -f *.o

depend: $(SOURCES)
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) $(INCLUDES) $(SOURCES) > /dev/null 

include depend

=== nx-X11/extras/Mesa_6.4.2/src/glut/glx/Makefile ===
# Makefile for GLUT
#
# NOTICE:  The OpenGL Utility Toolkit (GLUT) distribution contains source
# code published in a book titled "Programming OpenGL for the X Window
# System" (ISBN: 0-201-48359-9) published by Addison-Wesley.  The
# programs and associated files contained in the distribution were
# developed by Mark J. Kilgard and are Copyright 1994, 1995, 1996 by Mark
# J. Kilgard (unless otherwise noted).  The programs are not in the
# public domain, but they are freely distributable without licensing
# fees.  These programs are provided without guarantee or warrantee
# expressed or implied.
#
# GLUT source included with Mesa with permission from Mark Kilgard.


TOP = ../../..

include $(TOP)/configs/current


##### MACROS #####

GLUT_MAJOR = 3
GLUT_MINOR = 7
GLUT_TINY = 1

SOURCES = \
	glut_8x13.c \
	glut_9x15.c \
	glut_bitmap.c \
	glut_bwidth.c \
	glut_cindex.c \
	glut_cmap.c \
	glut_cursor.c \
	glut_dials.c \
	glut_dstr.c \
	glut_event.c \
	glut_ext.c \
	glut_fullscrn.c \
	glut_gamemode.c \
	glut_get.c \
	glut_glxext.c \
	glut_hel10.c \
	glut_hel12.c \
	glut_hel18.c \
	glut_init.c \
	glut_input.c \
	glut_joy.c \
	glut_key.c \
	glut_keyctrl.c \
	glut_keyup.c \
	glut_menu.c \
	glut_menu2.c \
	glut_mesa.c \
	glut_modifier.c \
	glut_mroman.c \
	glut_overlay.c \
	glut_roman.c \
	glut_shapes.c \
	glut_space.c \
	glut_stroke.c \
	glut_swap.c \
	glut_swidth.c \
	glut_tablet.c \
	glut_teapot.c \
	glut_tr10.c \
	glut_tr24.c \
	glut_util.c \
	glut_vidresize.c \
	glut_warp.c \
	glut_win.c \
	glut_winmisc.c \
	layerutil.c


OBJECTS = $(SOURCES:.c=.o)


##### RULES #####

.c.o:
	$(CC) -c -I$(TOP)/include $(CFLAGS) $(GLUT_CFLAGS) $<



##### TARGETS #####

default: $(LIB_DIR)/$(GLUT_LIB_NAME)


# Make the library
$(LIB_DIR)/$(GLUT_LIB_NAME): depend $(OBJECTS)
	$(TOP)/bin/mklib -o $(GLUT_LIB) -linker '$(CC)' \
		-major $(GLUT_MAJOR) -minor $(GLUT_MINOR) -patch $(GLUT_TINY) \
		$(MKLIB_OPTIONS) -install $(LIB_DIR) \
		$(GLUT_LIB_DEPS) $(OBJECTS)


clean:
	-rm -f *.o *~
	-rm -f *.lo
	-rm -f *.la
	-rm -rf .libs
	-rm -rf depend depend.bak


depend: $(SOURCES)
	@ echo "running $(MKDEP)"
	@ touch depend
	@ $(MKDEP) $(MKDEP_OPTIONS) -I$(TOP)/include $(SOURCES) \
		> /dev/null 

include depend

=== nx-X11/extras/Mesa_6.4.2/src/glx/x11/Makefile ===
TOP = ../../..
include $(TOP)/configs/current

DEFINES += -DXF86VIDMODE -D_REENTRANT -UIN_DRI_DRIVER

C_SOURCES = \
	  $(TOP)/src/mesa/glapi/glapi.c \
	  $(TOP)/src/mesa/glapi/glthread.c \
	  $(TOP)/src/mesa/main/dispatch.c \
	  glcontextmodes.c \
	  clientattrib.c \
	  compsize.c \
	  eval.c \
	  glxcmds.c \
	  glxext.c \
	  glxextensions.c \
	  indirect.c \
	  indirect_init.c \
	  indirect_size.c \
	  indirect_window_pos.c \
	  indirect_transpose_matrix.c \
	  indirect_vertex_array.c \
	  indirect_vertex_program.c \
	  pixel.c \
	  pixelstore.c \
	  render2.c \
	  renderpix.c \
	  single2.c \
	  singlepix.c \
	  vertarr.c \
	  xfont.c \
	  glx_pbuffer.c \
	  glx_query.c \
	  glx_texture_compression.c \
	  dri_glx.c \
	  XF86dri.c \

X86_SOURCES = $(TOP)/src/mesa/x86/glapi_x86.S
X86-64_SOURCES = $(TOP)/src/mesa/x86-64/glapi_x86-64.S

# ASM_SOURCES = $(X86_SOURCES)

OBJECTS = $(C_SOURCES:.c=.o) \
	  $(ASM_SOURCES:.S=.o)

INCLUDES = -I. \
	-I$(TOP)/include \
	-I$(TOP)/include/GL/internal \
	-I$(TOP)/src/mesa/main \
	-I$(TOP)/src/mesa/glapi \
	-I$(TOP)/src/mesa/drivers/dri/common \
        `pkg-config --cflags libdrm` \
	$(X11_INCLUDES)


##### RULES #####

.c.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES) $< -o $@

.S.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES)  $< -o $@

##### TARGETS #####

default: depend $(LIB_DIR)/$(GL_LIB_NAME)

glcontextmodes.c:
	ln -s $(TOP)/src/mesa/drivers/dri/common/glcontextmodes.c .

# Make libGL
$(LIB_DIR)/$(GL_LIB_NAME):  $(OBJECTS) Makefile
	$(TOP)/bin/mklib -o $(GL_LIB) -linker '$(CC)' \
		-major 1 -minor 2 $(MKLIB_OPTIONS) \
		-install $(LIB_DIR) $(GL_LIB_DEPS) $(OBJECTS)


depend: $(C_SOURCES) $(ASM_SOURCES) Makefile
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) $(INCLUDES) $(C_SOURCES) $(ASM_SOURCES) 


# Emacs tags
tags:
	etags `find . -name \*.[ch]` `find ../include`


# Remove .o and backup files
clean:
	-rm -f $(LIB_DIR)/libGL.so*
	-rm -f *.o *~
	-rm -f depend

include depend

=== debian/changelog ===
nx-libs (2:3.5.99.27-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Jun 2023 13:23:28 +0200

nx-libs (2:3.5.99.26-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 04 Feb 2021 14:34:17 +0100

nx-libs (2:3.5.99.25-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 04 Nov 2020 13:43:53 +0100

nx-libs (2:3.5.99.24-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 31 May 2020 12:54:58 +0200

nx-libs (2:3.5.99.23-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 30 Jan 2020 10:59:43 +0100

nx-libs (2:3.5.99.22-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 27 Aug 2019 15:44:17 +0200

nx-libs (2:3.5.99.21-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 05 Aug 2019 18:25:33 +0200

nx-libs (2:3.5.99.20-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 17 Apr 2019 11:03:42 +0200

nx-libs (2:3.5.99.19-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 01 Mar 2019 15:33:30 +0100

nx-libs (2:3.5.99.18-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 31 Jan 2019 14:09:11 +0100

nx-libs (2:3.5.99.17-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 20 Nov 2018 16:02:49 +0100

nx-libs (2:3.5.99.16-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 16 Mar 2018 23:51:34 +0100

nx-libs (2:3.5.99.15-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 07 Mar 2018 23:46:14 +0100

nx-libs (2:3.5.99.14-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Feb 2018 10:53:17 +0100

nx-libs (2:3.5.99.13-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 16 Jan 2018 15:18:57 +0100

nx-libs (2:3.5.99.12-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Dec 2017 12:23:12 +0100

nx-libs (2:3.5.99.11-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Dec 2017 12:01:56 +0100

nx-libs (2:3.5.99.10-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Sep 2017 14:57:20 +0200

nx-libs (2:3.5.99.9-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 30 Aug 2017 19:32:14 +0200

nx-libs (2:3.5.99.8-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 30 Jun 2017 21:21:09 +0200

nx-libs (2:3.5.99.7-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 05 May 2017 00:15:57 +0200

nx-libs (2:3.5.99.6-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 21 Apr 2017 16:24:19 +0200

nx-libs (2:3.5.99.5-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 11 Apr 2017 17:00:28 +0200

nx-libs (2:3.5.99.4-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 24 Feb 2017 22:19:27 +0000

nx-libs (2:3.5.99.3-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 19 Dec 2016 15:02:16 +0100

nx-libs (2:3.5.99.2-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.


=== debian/control ===
Source: nx-libs
Section: x11
Priority: optional
Maintainer: Artica Project <devs@lists.arctica-project.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>, Mihai Moldovan <ionic@ionic.de>
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1.1),
 expat,
 libjpeg-dev,
 libpixman-1-dev (>= 0.13.2),
 libpng-dev,
 libtirpc-dev | hello,
 libtool,
 libxcomposite-dev,
 libxdamage-dev,
 libxdmcp-dev,
 libxext-dev,
 libxfixes-dev,
 libxfont-dev (>= 1.4.2),
# libxkbfile-dev is required by xkbcomp.pc, see Debian bug #913359
 libxkbfile-dev,
 libxinerama-dev,
 libxml2-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 libxtst-dev,
 pkg-config,
 quilt (>= 0.46-7~),
 x11-xkb-utils,
 x11proto-core-dev,
 xutils-dev,
 zlib1g-dev,
 lsb-release,
Standards-Version: 4.2.1
Homepage: https://github.com/ArcticaProject/nx-libs/
Vcs-Git: https://github.com/ArcticaProject/nx-libs/
Vcs-Browser: https://github.com/ArcticaProject/nx-libs/

Package: nx-x11-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks:
 libnx-x11 (<< 2:3.5.0.29-1~),
 nxagent (<< 2:3.5.0.29-1~),
 nxlibs (<= 3.5.1)
Description: nx-X11 (common files)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides all runtime architecture-independent files for
 nx-X11 Xserver (aka nxagent).

Package: nx-x11proto-core-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 core wire protocol and auxiliary headers
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the core nx-X11 protocol, and also provides a number of utility headers,
 used to abstract OS-specific functions.

Package: libnx-x11-6
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libx11-data,
 libxcomp3 (= ${binary:Version}),
 nx-x11-common (<< ${source:Version}.1),
 nx-x11-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libnx-x11 (<< 2:3.5.0.29-1~),
 libnx-xau6 (<< 2:3.6.0.0),
 libnx-xcomposite1 (<< 2:3.6.0.0),
 libnx-xdamage1 (<< 2:3.6.0.0),
 libnx-xdmcp6 (<< 2:3.6.0.0),
 libnx-xext6 (<< 2:3.6.0.0),
 libnx-xfixes3 (<< 2:3.6.0.0),
 libnx-xinerama1 (<< 2:3.6.0.0),
 libnx-xpm4 (<< 2:3.6.0.0),
 libnx-xrandr2 (<< 2:3.6.0.0),
 libnx-xrender1 (<< 2:3.6.0.0),
 libnx-xtst6 (<< 2:3.6.0.0),
 nxlibs (<= 3.5.1)
Replaces:
 libnx-xau6,
 libnx-xcomposite1,
 libnx-xdamage1,
 libnx-xdmcp6,
 libnx-xext6,
 libnx-xfixes3,
 libnx-xinerama1,
 libnx-xpm4,
 libnx-xrandr2,
 libnx-xrender1,
 libnx-xtst6,
 nxlibs
Description: nxagent's libNX_X11 client-part library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the libNX_X11 library (a libX11 drop-in
 replacement used by nxagent).

Package: libnx-x11-dev
Provides: libnx-x11-6-dev
Section: libdevel
Architecture: any
Breaks:
 libnx-xau-dev (<< 2:3.6.0.0),
 libnx-xcomposite-dev (<< 2:3.6.0.0),
 libnx-xdamage-dev (<< 2:3.6.0.0),
 libnx-xdmcp-dev (<< 2:3.6.0.0),
 libnx-xext-dev (<< 2:3.6.0.0),
 libnx-xfixes-dev (<< 2:3.6.0.0),
 libnx-xinerama-dev (<< 2:3.6.0.0),
 libnx-xpm-dev (<< 2:3.6.0.0),
 libnx-xrandr-dev (<< 2:3.6.0.0),
 libnx-xrender-dev (<< 2:3.6.0.0),
 libnx-xtst-dev (<< 2:3.6.0.0),
 nxlibs-dev (<=3.5.1)
Replaces:
 libnx-xau-dev,
 libnx-xcomposite-dev,
 libnx-xdamage-dev,
 libnx-xdmcp-dev,
 libnx-xext-dev,
 libnx-xfixes-dev,
 libnx-xinerama-dev,
 libnx-xpm-dev,
 libnx-xrandr-dev,
 libnx-xrender-dev,
 libnx-xtst-dev,
 nxlibs-dev
Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}
Description: nxagent's libNX_X11 client-part library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers of the libNX_X11 library (a
 libX11 drop-in replacement used by nxagent).

Package: libnx-x11-6-dbg
Architecture: any
Multi-Arch: same
Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}
Section: debug
Breaks:
 libnx-xau6-dbg (<< 2:3.6.0.0),
 libnx-xcomposite1-dbg (<< 2:3.6.0.0),
 libnx-xdamage1-dbg (<< 2:3.6.0.0),
 libnx-xdmcp6-dbg (<< 2:3.6.0.0),
 libnx-xext6-dbg (<< 2:3.6.0.0),
 libnx-xfixes3-dbg (<< 2:3.6.0.0),
 libnx-xinerama1-dbg (<< 2:3.6.0.0),
 libnx-xpm4-dbg (<< 2:3.6.0.0),
 libnx-xrandr2-dbg (<< 2:3.6.0.0),
 libnx-xrender1-dbg (<< 2:3.6.0.0),
 libnx-xtst6-dbg (<< 2:3.6.0.0),
 nx-x11-dbg (<< 2:3.5.0.29-1~)
Replaces:
 libnx-xau6-dbg,
 libnx-xcomposite1-dbg,
 libnx-xdamage1-dbg,
 libnx-xdmcp6-dbg,
 libnx-xext6-dbg,
 libnx-xfixes3-dbg,
 libnx-xinerama1-dbg,
 libnx-xpm4-dbg,
 libnx-xrandr2-dbg,
 libnx-xrender1-dbg,
 libnx-xtst6-dbg,
 nx-x11-dbg
Description: nx-X11 client-side library (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package contains debug symbols for the core nx-X11 libraries
 customized for nxagent.

Package: nx-x11proto-xext-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks:
 libnx-x11-dev (<< 2:3.5.0.29-1~),
 libnx-xext-dev (<< 2:3.5.99.0~),
 nxlibs (<= 3.5.1)
Description: nx-X11 miscellaneous extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for various extensions, the client-side libraries of which are provided
 in the Xext library.

Package: nx-x11proto-composite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 Composite extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Composite extension in nx-X11, used to let arbitrary client
 programs control drawing of the final image.

Package: nx-x11proto-damage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Damage extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Damage extension, used to notify clients of changes made to
 particular areas.

Package: nx-x11proto-xfixes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 'xfixes' extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the XFIXES extension.

Package: nx-x11proto-xinerama-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Xinerama extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the XINERAMA extension, used to use and manage a multiple-screen
 display.

Package: nx-x11proto-randr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 RandR extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the RandR extension, used to change display properties such as
 resolution, rotation, reflection, et al, on the fly.

Package: nx-x11proto-render-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Render extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol for
 the Render extension, used to implement Porter-Duff operations within X.

Package: nx-x11proto-scrnsaver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 Screen Saver extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the MIT-SCREEN-SAVER extension, used to notify the server of client
 screen saver events.

Package: libnx-mesa-extras-dev
Section: libdevel
Architecture: any
Depends: libnx-x11-dev (= ${binary:Version}), ${misc:Depends}
Description: Library headers for nx-X11/Mesa (dummy package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package can be safely removed. Since 3.5.0.29 of nx-libs
 no Mesa header files are shipped with binary packages of NX
 (redistributed) any more.

Package: nxagent
Architecture: any
Multi-Arch: foreign
Depends:
 libnx-x11-6 (= ${binary:Version}),
 libxcomp3 (= ${binary:Version}),
 libxcompshad3 (= ${binary:Version}),
 x11-xkb-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: xfonts-base, xkb-data
Breaks: libxcompext3 (<< 2:3.5.99.3~), nxauth
Replaces: libxcompext3, nxauth
Description: Nested Xserver (aka NX Agent) supporting the NX compression protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 nxagent is a nested Xserver providing NX transport of X sessions. The
 application is based on the well known Xnest "nested" server. nxagent,
 like Xnest, is an X server for its own clients, and at the same time, an
 X client for a system's local X server.
 .
 The main scope of nxagent is to eliminate X round-trips or transform
 them into asynchronous replies. nxagent works together with nxproxy.
 nxproxy itself does not make any effort to minimize round-trips
 by itself, this is demanded of nxagent.
 .
 Being an X server, nxagent is able to resolve all the property/atoms related
 requests locally, ensuring that the most common source of round-trips are
 nearly reduced to zero.

Package: nxagent-dbg
Section: debug
Architecture: any
Multi-Arch: foreign
Depends: nxagent (= ${binary:Version}), ${misc:Depends}
Breaks: nx-x11-dbg (<< 2:3.5.0.29-1~)
Description: NX agent (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

export LIBDIR = "/usr/lib/$(DEB_HOST_MULTIARCH)"
export LIBEXECDIR = "$(LIBDIR)/nx/bin"
export INCLUDEDIR = "/usr/include/$(DEB_HOST_MULTIARCH)"

VENDOR_DEBIAN := 0
RELEASE_VER := 0

# detect VENDOR_* variables and RELEASE_VER{,_MAJOR,_MINOR}
VENDOR_DEBIAN := $(shell { dpkg-vendor --is 'Debian' && echo 'yes'; } || { dpkg-vendor --is 'Raspbian' && echo 'yes'; })

ifeq ($(VENDOR_DEBIAN),yes)
  RELEASE_VER := $(shell /usr/bin/lsb_release -r |  cut -d ':' -f'2' |  sed -e 's/\s*//g' | cut -d '.' -f'1')

  # Newer Debian versions might report "n/a" for testing and unstable.
  ifeq ($(RELEASE_VER),n/a)
    # On these platforms, the best way to determine the system version is by
    # going through "apt-cache policy".
    # Note that this should only be the case for either testing or unstable.
    # Other systems should have a proper version number.
    # This is also why we can just drop any suites/archive names (this is
    # what a= means) containing a dash character (e.g., "stable-updates")
    # and only pick the first match.
    RELEASE_VER := $(shell /usr/bin/apt-cache policy | grep -E 'o=(De|Rasp)bian,' | grep -E 'l=(De|Rasp)bian,' | grep -F 'c=main,' | grep -Eo 'a=[^, ]*' | sed -e 's/^a=//' | grep -v -- '-' | head -n '1')

    # Do error checking.
    ifneq ($(RELEASE_VER),testing)
      ifneq ($(RELEASE_VER),unstable)
        $(error Release version could not be determined, sorry. Extracted value: $(RELEASE_VER))
      endif
    endif
  endif

  # Let's fake testing's and unstable's "release version"...
  ifeq ($(RELEASE_VER),testing)
    RELEASE_VER := 999
  endif
  ifeq ($(RELEASE_VER),unstable)
    RELEASE_VER := 9999
  endif
else
  VENDOR_UBUNTU := $(shell dpkg-vendor --is 'Ubuntu' && echo 'yes')

  ifeq ($(VENDOR_UBUNTU),yes)
    RELEASE_VER_MAJOR := $(shell lsb_release -r | cut -d ':' -f '2' | sed -e 's/\s*//g' | cut -d '.' -f '1')
    RELEASE_VER_MINOR := $(shell lsb_release -r | cut -d ':' -f '2' | sed -e 's/\s*//g' | cut -d '.' -f '2')
  endif
endif

# detect when to use libtirpc and when glibc still provides rpc/rpc.h
IMAKE_EXTRA_DEFINES := ""
ifeq ($(VENDOR_DEBIAN),yes)
  ifeq ($(shell /bin/bash -c '(( $(RELEASE_VER) >= 10 )) && echo '"'"'yes'"'"),yes)
    IMAKE_EXTRA_DEFINES+="-DUseTIRPC=1"
  endif
else
  ifeq ($(VENDOR_UBUNTU),yes)
    ifeq ($(shell /bin/bash -c '(( $(RELEASE_VER_MAJOR) >= 18 )) && echo '"'"'yes'"'"),yes)
      IMAKE_EXTRA_DEFINES+="-DUseTIRPC=1"
    endif
  endif
endif

%:
	VERBOSE=1 CONFIGURE="./configure --disable-silent-rules \
	                                 --prefix=/usr \
	                                 --libdir=$(LIBDIR) \
	                                 --includedir=$(INCLUDEDIR) \
	                                 --libexecdir=$(LIBEXECDIR) \
	                                 --build=$(DEB_BUILD_GNU_TYPE) \
	                                 --host=$(DEB_HOST_GNU_TYPE)"  dh $@ --no-parallel --with quilt

override_dh_auto_clean:
	rm -Rf nx-X11/.build-exports
	dh_auto_clean --no-parallel || dh_auto_clean

override_dh_clean:
	dh_clean
	rm -f nx-X11/config/cf/date.def

override_dh_install:

	# strip static libs and remove .la files
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.a

	# remove extras, GL, and other unneeded headers
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/GL/
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XK*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/*Xv*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XRes*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XIproto.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XI.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/Xtrans/

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	PREFIX='/usr' dh_auto_install --no-parallel -Smakefile || \
	PREFIX='/usr' dh_auto_install -Smakefile

override_dh_auto_build:
	debian/compat.sh
	PREFIX='/usr' dh_auto_build --no-parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))' IMAKE_DEFINES="$(IMAKE_EXTRA_DEFINES)" || \
	PREFIX='/usr' dh_auto_build -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))' IMAKE_DEFINES="$(IMAKE_EXTRA_DEFINES)"

override_dh_strip:
	dh_strip -plibnx-x11-6 --dbg-package=libnx-x11-6-dbg
	dh_strip -plibxcomp3 --dbg-package=libxcomp3-dbg
	dh_strip -plibxcompshad3 --dbg-package=libxcompshad3-dbg
	dh_strip -pnxagent --dbg-package=nxagent-dbg
	dh_strip -pnxproxy --dbg-package=nxproxy-dbg

override_dh_makeshlibs:
	dh_makeshlibs -n

# Needed for the libX11 RUNPATH/RPATH link-time hack.
# dh_shlibdeps will follow dependencies within binaries and choke
# on the libX11 dependency, since the SONAME (libX11.*) used while linking
# does not match the later detected SONAME (libNX_X11.*) obtained through
# the libX11 -> libNX_X11 compat symlink.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
